"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const CodeBuilders_1 = require("../Tools/CodeBuilders");
const InjectStyle_1 = require("../Tools/InjectStyle");
const styles = InjectStyle_1.createStyles(theme => ({
    root: {
        position: 'relative',
        display: 'inline-block',
        fontWeight: 'normal',
        '&:hover $hint': {
            display: 'block'
        }
    },
    alias: {
        borderBottom: '1px dashed',
        cursor: 'help'
    },
    hint: {
        position: 'absolute',
        display: 'none',
        top: '100%',
        left: '50%',
        zIndex: 1,
        transform: 'translateX(-50%)'
    },
    toolTip: {
        position: 'relative',
        marginTop: 5,
        borderRadius: 3,
        padding: '.5em',
        background: theme.colors.background.active,
        whiteSpace: 'nowrap',
        border: `1px solid ${theme.colors.border}`,
        '&::before, &::after': {
            content: '""',
            display: 'block',
            position: 'absolute',
            bottom: '100%',
            left: '50%',
            borderStyle: 'solid'
        },
        '&::before': {
            marginLeft: -5,
            borderWidth: '0 5px 5px',
            borderColor: `transparent transparent ${theme.colors.border}`
        },
        '&::after': {
            marginLeft: -4,
            borderWidth: '0 4px 4px',
            borderColor: `transparent transparent ${theme.colors.background.active}`
        }
    }
}));
const TypeAliasHint = ({ name, type, classes }) => (React.createElement("div", { className: classes.root },
    React.createElement("abbr", { className: classes.alias }, name),
    React.createElement("div", { className: classes.hint },
        React.createElement("div", { className: classes.toolTip }, CodeBuilders_1.buildType(type)))));
exports.default = InjectStyle_1.withStyles(styles)(TypeAliasHint);
//# sourceMappingURL=TypeAliasHint.js.map